LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Puppy (http://www.linuxquestions.org/questions/puppy-71/)
-   -   kernel 2.4 for puppy 2.01 possible? (http://www.linuxquestions.org/questions/puppy-71/kernel-2-4-for-puppy-2-01-possible-460774/)

ELMIT 07-04-2006 01:27 AM

kernel 2.4 for puppy 2.01 possible?
 
How can I get a kernel 2.4 for puppy 2.01?

I need to compile a special software what is only running on kernel 2.4.

bye

Ronald

marksouth2000 07-04-2006 07:44 AM

There is nothing in principle stopping you from building a 2.4 kernel for Puppy 2.01.

In practice, there are some issues with UnionFS under 2.4 kernels, and Puppy 2.01 depends heavily on UnionFS.

Would running your app under Puppy 109CE or GrafPup 1.04 be an option? They both use 2.4 kernels.

This topic has just come up in the official forum linked at http://www.puppyos.com by the way, you can find more discussion there.

DaggyDougal 07-08-2006 07:49 AM

I don't think you can just compile a 2.4 kernel and run it.

When Barry swiched to the 2.6 kernel he had to re-write some of the startup scripts, to fit the eccentricities of 2.6, so you might have some problems with them (might be only HW detection, though).

My best advice would be to either stick with the 1. series, or try and find the snapshot from May that still had the old kernel...

ELMIT 07-09-2006 01:50 AM

I can stick with 1.09CE, but I still have to recompile it, ...
unfortunately all the files for that I cannot find anymore.
With the new 2.0 releases, the 1.x stuff I could not find anymore.


bye

Ronald Wiplinger

cherriepuppy 07-09-2006 07:43 AM

hi try the dotpups.de site in puppy releases

cherriepuppy


All times are GMT -5. The time now is 03:11 AM.